This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460167 - [free-int] Access 'View Quota' link will prompt error
[free-int] Access 'View Quota' link will prompt error
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: 3.7.0
Assigned To: Zac Herman
XiaochuanWang
https://github.com/openshift/origin-w...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 06:07 EDT by shahan
Modified: 2017-10-05 13:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shahan 2017-06-09 06:07:36 EDT
Description of problem:
Cannot  access 'View Quota' link on the exceed quota warning.

Version-Release number of selected component (if applicable):
OpenShift Master:v3.6.100 (online version 3.5.0.20)
Kubernetes Master:v1.6.1+5115d708d7 

How reproducible:
Always

Steps to Reproduce:
1.login in free-int cluster web console
2.Enter 'Storage', click 'Create Storage' to create pvc
3.On the overview page will prompt exceed quota warning, click 'View Quota' link.

Actual results:
3.Will show error information that "Access denied The project undefined does not exist or you are not authorized to view it."

Expected results:
3.Will go to the 'Resources'->'Quota' page 

Additional info:
The link for "Veiw Quota" is wrong: https://console.free-int.openshift.com/console/project/undefined/quota
Comment 1 Jessica Forrester 2017-06-09 14:29:13 EDT
This issue wouldn't be specific to online, moving to OCP.
Comment 2 Zac Herman 2017-06-12 13:53:21 EDT
Cannot Reproduce.
Steps followed:
1) Logged into console.free-int.openshift.com (using redhat creditials)
2) Created project "test1"
3) Clicked on project "test1" which went to overview page
4) Clicked on Storage
5) Clicked create storage buttom
6) Created Claim "test1"
7) Returned to Storage page, alert message at top of screen saying quota had been reached.
8) Clicked "View quota" and successfully went to quota page.

Please advise, thanks.
Comment 3 Zac Herman 2017-06-12 13:56:09 EDT
Ok, I see the error, this is not on the storage page, but the "Overview" project page.
Comment 4 Zac Herman 2017-06-12 17:21:07 EDT
PR https://github.com/openshift/origin-web-console/pull/1683 opened to address this issue.
Comment 5 openshift-github-bot 2017-06-12 19:55:41 EDT
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/44a4862dcbe7794f888e00a24030ba9fa6dca70d
Merge pull request #1683 from zherman0/bug1460167

Merged by openshift-bot
Comment 6 shahan 2017-07-05 02:34:06 EDT
Checked this issue on openshit v3.6.133, could correctly direct to quota page by click 'view quota' with warning on overview page. Changed the bug status to verified.

Note You need to log in before you can comment on or make changes to this bug.